GCLOUD_DNS_RECORD-SETS_LIST(1)

NAME

gcloud dns record-sets list - view the list of record-sets in a managed-zone

SYNOPSIS

gcloud dns record-sets list --zone ZONE, -z ZONE [--limit LIMIT] [--name NAME] [--type TYPE] [GLOBAL-FLAG ...]

DESCRIPTION
This command displays the list of record-sets contained within the specified managed-zone.

REQUIRED FLAGS
--zone ZONE, -z ZONE
    Name of the managed-zone whose record-sets you want to manage.

OPTIONAL FLAGS
--limit LIMIT
    Maximum number of record-sets to list.
--name NAME
    Only list record-sets with this exact domain name.
--type TYPE
    Only list records of this type. If present, the --name parameter must also be present.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To see the list of all record-sets in my_zone, run:
    $ gcloud dns record-sets -z my_zone list
To see the list of first 10 record-sets in my_zone, run:
    $ gcloud dns record-sets -z my_zone list --limit=10
To see the list of 'my.zone.com.' record-sets in my_zone, run:
    $ gcloud dns record-sets -z my_zone list --name="my.zone.com."
To see the list of 'my.zone.com.' CNAME record-sets in my_zone, run:
    $ gcloud dns record-sets -z my_zone list --name="my.zone.com." \
        --type="CNAME"